XFcVector.h File Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcVector.h File Reference

Vector math header file. More...

Include dependency graph for XFcVector.h:

This graph shows which files directly or indirectly include this file:

## Compounds

class | XFcVector2
| 2-Dimensional vector. More...
class | XFcVector3
| 3-Dimensional vector. More...
class | XFcVector4
| 4-Dimensional vector container. More...

## Functions

XFcVector3 | operator * (const REAL &aArg, const XFcVector3 &aVec)
XFcVector3 | operator * (const INT32 aArg, const XFcVector3 &aVec)
XFcVector3 | operator * (const FLOAT32 aArg, const XFcVector3 &aVec)
XFcVector2 | operator * (const REAL &aArg, const XFcVector2 &aVec)
XFcVector2 | operator * (const INT32 aArg, const XFcVector2 &aVec)
XFcVector2 | operator * (const FLOAT32 aArg, const XFcVector2 &aVec)

## Detailed Description

Vector math header file.

X-Forge Core
Copyright 2000-2003 Fathammer Ltd

Id
  XFcVector.h,v 1.26 2003/09/29 11:22:32 kkallio Exp

Date
  2003/09/29 11:22:32

Revision
  1.26

## Function Documentation

XFcVector2 operator * | ( | const FLOAT32 | aArg,
|  | const XFcVector2 & | aVec
| ) | `[inline]`

Parameters:

  aArg | floating point value for the multiplication.
  aVec | vector to be multiplied.

Returns:
  a new result vector.

XFcVector2 operator * | ( | const INT32 | aArg,
|  | const XFcVector2 & | aVec
| ) | `[inline]`

Parameters:

  aArg | integer value for the multiplication.
  aVec | vector to be multiplied.

Returns:
  a new result vector.

XFcVector2 operator * | ( | const REAL & | aArg,
|  | const XFcVector2 & | aVec
| ) | `[inline]`

Parameters:

  aArg | value for the multiplication.
  aVec | vector to be multiplied.

Returns:
  a new result vector.

XFcVector3 operator * | ( | const FLOAT32 | aArg,
|  | const XFcVector3 & | aVec
| ) | `[inline]`

Parameters:

  aArg | floating point value for the multiplication.
  aVec | vector to be multiplied.

Returns:
  a new result vector.

XFcVector3 operator * | ( | const INT32 | aArg,
|  | const XFcVector3 & | aVec
| ) | `[inline]`

Parameters:

  aArg | integer value for the multiplication.
  aVec | vector to be multiplied.

Returns:
  a new result vector.

XFcVector3 operator * | ( | const REAL & | aArg,
|  | const XFcVector3 & | aVec
| ) | `[inline]`

Parameters:

  aArg | value for the multiplication.
  aVec | vector to be multiplied.

Returns:
  a new result vector.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch